function menu_load()
    resourceTextureArray["startbutton"] = love.graphics.newImage("assets/startbutton.png")
    resourceTextureArray["exitbutton"] = love.graphics.newImage("assets/exitbutton.png")
    tempDataArray["exitbutton"] = {}
    tempDataArray["startbutton"] = {}
    tempDataArray["buttonscheme"] = {}
    tempDataArray["startbutton"]["x"] = 495
    tempDataArray["startbutton"]["y"] = 101
    tempDataArray["exitbutton"]["x"] = 495
    tempDataArray["exitbutton"]["y"] = 186
    tempDataArray["buttonscheme"]["width"] = 290
    tempDataArray["buttonscheme"]["height"] = 85
    screenLoaded = true
end
function menu_update()
    
end
function menu_handleMouseInput(inx, iny, inbutton, typehit)
    if inbutton == "l" and checkButton(inx, iny, tempDataArray["startbutton"]["x"], tempDataArray["startbutton"]["y"], tempDataArray["buttonscheme"]["width"], tempDataArray["buttonscheme"]["height"]) 
    then
        love.graphics.clear()
        changeScreenCleanly("game")
    elseif inbutton == "l" and checkButton(inx, iny, tempDataArray["exitbutton"]["x"], tempDataArray["exitbutton"]["y"], tempDataArray["buttonscheme"]["width"], tempDataArray["buttonscheme"]["height"])
    then
        love.event.quit()
    end
end
function menu_handleKeyboardInput(key)
    
end
function menu_draw()
    love.graphics.setFont(pressStart2P_20p)
    love.graphics.line(0, 100, 1280, 100)
    love.graphics.printf("GODMODE!", 0, 25, 1280, "center")
    love.graphics.setFont(pressStart2P_12p)
    love.graphics.printf("A game of party survival", 0, 75, 1280, "center")
    love.graphics.draw(resourceTextureArray["startbutton"], tempDataArray["startbutton"]["x"], tempDataArray["startbutton"]["y"])
    love.graphics.draw(resourceTextureArray["exitbutton"], tempDataArray["exitbutton"]["x"], tempDataArray["exitbutton"]["y"]) 
end